## tempest 16.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff>=2.6.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
testtools>=1.4.0 # MIT
paramiko>=2.0 # LGPLv2.1+
netaddr!=0.7.16,>=0.7.13 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
six>=1.9.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
PyYAML>=3.10.0 # MIT
python-subunit>=0.0.18 # Apache-2.0/BSD
stevedore>=1.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
os-testr>=0.8.0 # Apache-2.0
urllib3>=1.21.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
unittest2 # BSD

=== debian/changelog ===
tempest (1:16.1.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 31 Jul 2017 06:57:13 +0000

tempest (1:16.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 10:20:26 -0400

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Corey Bryant <corey.bryant@canonical.com>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 52~),
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
               python3-all,
               python3-pbr (>= 2.0.0),
               python3-setuptools,
Build-Depends-Indep: git,
                     python-cliff (>= 2.6.0),
                     python-coverage (>= 4.0),
                     python-debtcollector (>= 1.2.0),
                     python-fixtures (>= 3.0.0),
                     python-jsonschema (>= 2.0.0),
                     python-mock (>= 2.0),
                     python-mysqldb,
                     python-netaddr (>= 0.7.13),
                     python-openstackdocstheme (>= 1.11.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-paramiko (>= 2.0),
                     python-pep8,
                     python-prettytable (>= 0.7.1),
                     python-psycopg2,
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.20.0),
                     python-swiftclient,
                     python-testrepository (>= 0.0.18),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-urllib3 (>= 1.15.1),
                     python-yaml (>= 3.10.0),
                     python3-cliff (>= 2.6.0),
                     python3-coverage (>= 4.0),
                     python3-debtcollector (>= 1.2.0),
                     python3-fixtures (>= 3.0.0),
                     python3-jsonschema (>= 2.0.0),
                     python3-mock (>= 2.0),
                     python3-mysqldb,
                     python3-netaddr (>= 0.7.13),
                     python3-openstackdocstheme (>= 1.11.0),
                     python3-os-testr (>= 0.8.0),
                     python3-oslo.concurrency (>= 3.8.0),
                     python3-oslo.config (>= 1:4.0.0),
                     python3-oslo.log (>= 3.22.0),
                     python3-oslo.serialization (>= 1.10.0),
                     python3-oslo.utils (>= 3.20.0),
                     python3-oslotest (>= 1.10.0),
                     python3-paramiko (>= 2.0),
                     python3-pep8,
                     python3-prettytable (>= 0.7.1),
                     python3-psycopg2,
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.20.0),
                     python3-subunit,
                     python3-swiftclient,
                     python3-testrepository (>= 0.0.18),
                     python3-testscenarios,
                     python3-testtools (>= 1.4.0),
                     python3-unittest2,
                     python3-urllib3 (>= 1.15.1),
                     python3-yaml (>= 3.10.0),
                     subunit,
                     testrepository
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces: python-tempest-lib,
          tempest (<< 1:12.0.0-2~),
Breaks: python-tempest-lib,
        tempest (<< 1:12.0.0-2~),
Provides: python-tempest-lib,
Depends: python-cliff (>= 2.6.0),
         python-ddt,
         python-debtcollector (>= 1.2.0),
         python-fixtures (>= 3.0.0),
         python-jsonschema,
         python-netaddr (>= 0.7.13),
         python-os-testr (>= 0.8.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-oslotest (>= 1:1.10.0),
         python-paramiko (>= 2.0),
         python-pbr (>= 2.0.0),
         python-prettytable (>= 0.7.1),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.20.0),
         python-subunit,
         python-swiftclient,
         python-testrepository (>= 0.0.18),
         python-testscenarios,
         python-testtools (>= 1.4.0),
         python-unittest2,
         python-urllib3 (>= 1.15.1),
         python-yaml (>= 3.10.0),
         testrepository,
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces: python3-tempest-lib,
Breaks: python3-tempest-lib,
Provides: python3-tempest-lib,
Depends: python3-cliff (>= 2.6.0),
         python3-ddt,
         python3-debtcollector (>= 1.2.0),
         python3-fixtures (>= 3.0.0),
         python3-jsonschema,
         python3-netaddr (>= 0.7.13),
         python3-os-testr (>= 0.8.0),
         python3-oslo.concurrency (>= 3.8.0),
         python3-oslo.config (>= 1:4.0.0),
         python3-oslo.log (>= 3.22.0),
         python3-oslo.serialization (>= 1.10.0),
         python3-oslo.utils (>= 3.20.0),
         python3-oslotest (>= 1:1.10.0),
         python3-paramiko (>= 2.0),
         python3-pbr (>= 2.0.0),
         python3-prettytable (>= 0.7.1),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.20.0),
         python3-subunit,
         python3-swiftclient,
         python3-testrepository (>= 0.0.18),
         python3-testscenarios,
         python3-testtools (>= 1.4.0),
         python3-unittest2,
         python3-urllib3 (>= 1.15.1),
         python3-yaml (>= 3.10.0),
         subunit,
         testrepository,
         ${misc:Depends},
         ${python3:Depends}
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends: python-tempest (>= 1:14.0.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

## tempest 17.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
testtools>=2.2.0 # MIT
paramiko>=2.0.0 # LGPLv2.1+
netaddr>=0.7.18 # BSD
testrepository>=0.0.18 # Apache-2.0/BSD
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.config>=4.6.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.31.0 # Apache-2.0
six>=1.10.0 # MIT
fixtures>=3.0.0 # Apache-2.0/BSD
PyYAML>=3.10 # MIT
python-subunit>=1.0.0 # Apache-2.0/BSD
stevedore>=1.20.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
os-testr>=1.0.0 # Apache-2.0
urllib3>=1.21.1 # MIT
debtcollector>=1.2.0 # Apache-2.0
unittest2>=1.1.0 # BSD

=== debian/changelog ===
tempest (1:17.2.0-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.
  * d/control, d/rules: Switch to stestr for running unit tests.

  [ James Page ]
  * d/watch,d/upstream/signing-key.asc: Configure uscan to automatically
    validate signatures of upstream tarballs.
  * New upstream release.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Blacklist tempest.tests.cmd.* as these can only be run
    against the installed binary packages.
  * d/rules: Disable generation of tempest plugin registry as part
    of documentation build.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 17:02:51 +0000

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools (>= 52~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 git,
 python-cliff (>= 2.8.0),
 python-coverage (>= 4.0),
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-jsonschema (>= 2.6.0),
 python-mock (>= 2.0.0),
 python-mysqldb,
 python-netaddr (>= 0.7.18),
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.31.0),
 python-oslotest (>= 1.10.0),
 python-paramiko (>= 2.0.0),
 python-pep8,
 python-prettytable (>= 0.7.1),
 python-psycopg2,
 python-six (>= 1.10.0),
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-swiftclient,
 python-testrepository (>= 0.0.18),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-urllib3 (>= 1.15.1),
 python-yaml (>= 3.10),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-jsonschema (>= 2.6.0),
 python3-mock (>= 2.0.0),
 python3-mysqldb,
 python3-netaddr (>= 0.7.18),
 python3-openstackdocstheme (>= 1.17.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.31.0),
 python3-oslotest (>= 1.10.0),
 python3-paramiko (>= 2.0.0),
 python3-pep8,
 python3-prettytable (>= 0.7.1),
 python3-psycopg2,
 python3-six (>= 1.10.0),
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-urllib3 (>= 1.15.1),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/tempest
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Replaces:
 python-tempest-lib,
 tempest (<< 1:12.0.0-2~),
Breaks:
 python-tempest-lib,
 tempest (<< 1:12.0.0-2~),
Provides:
 python-tempest-lib,
Depends:
 python-cliff (>= 2.6.0),
 python-ddt,
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-jsonschema (>= 2.6.0),
 python-netaddr (>= 0.7.18),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.20.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.log (>= 3.30.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.31.0),
 python-oslotest (>= 1:1.10.0),
 python-paramiko (>= 2.0.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-stevedore (>= 1.20.0),
 python-subunit (>= 1.0.0),
 python-swiftclient,
 python-testrepository (>= 0.0.18),
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-urllib3 (>= 1.15.1),
 python-yaml (>= 3.10),
 testrepository,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Replaces:
 python3-tempest-lib,
Breaks:
 python3-tempest-lib,
Provides:
 python3-tempest-lib,
Depends:
 python3-cliff (>= 2.6.0),
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-jsonschema (>= 2.6.0),
 python3-netaddr (>= 0.7.18),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.20.0),
 python3-oslo.config (>= 1:5.1.0),
 python3-oslo.log (>= 3.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.31.0),
 python3-oslotest (>= 1:1.10.0),
 python3-paramiko (>= 2.0.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 python3-stevedore (>= 1.20.0),
 python3-subunit (>= 1.0.0),
 python3-swiftclient,
 python3-testrepository (>= 0.0.18),
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-urllib3 (>= 1.15.1),
 python3-yaml (>= 3.10),
 subunit,
 testrepository,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends:
 python-tempest (>= 1:14.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")

%:
	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -f .testrepository

override_dh_auto_install:
	pkgos-dh_auto_install

	# Cleanups
	rm -rf $(CURDIR)/debian/python*/usr/etc

	mkdir -p $(CURDIR)/debian/tempest/etc/tempest
	PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/tempest/etc/tempest/tempest.conf \
		--wrap-width 140 \
		--namespace tempest.config \
		--namespace oslo.concurrency \
		--namespace oslo.i18n \
		--namespace oslo.log \
		--namespace oslo.serialization \
		--namespace oslo.utils
	
	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
	install -D -m 0664 etc/whitelist.yaml $(CURDIR)/debian/tempest/etc/tempest/whitelist.yaml

	# Fix-up some preferences
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT verbose false
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_dir /var/log
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf DEFAULT log_file tempest.log

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf oslo_concurrency lock_path /var/lock

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_tenant_name admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_username admin
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf auth admin_domain_name default

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute fixed_network_name demo-net
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled allow_duplicate_networks true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf compute-feature-enabled spice_console true

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf dashboard dashboard_url http://127.0.0.1

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri http://127.0.0.1:35357/v2.0
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_public_endpoint_type adminURL
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity uri_v3 http://127.0.0.1:35357/v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity disable_ssl_certificate_validation true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity auth_version v3
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity default_domain_id default
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity v2_admin_endpoint_type adminURL

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v3 true
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf identity-feature-enabled api_v2 false

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf image region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf network build_interval 3

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration instance_type m1.small
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf orchestration region regionOne

	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume region regionOne

	# Otherwise, there's some cinder tempest failures
	pkgos-fix-config-default $(CURDIR)/debian/tempest/etc/tempest/tempest.conf volume-feature-enabled volume_services true

	# Package stuff in /var/lib/tempest, since we need read/write access
	# to run the testr stuff
	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
	ln -s /usr/lib/python2.7/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
	cp .testr.conf $(CURDIR)/debian/tempest/var/lib/tempest
	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper

	rm -fr $(CURDIR)/debian/tempest/usr/etc

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) stestr --test-path ./tempest/tests run --black-regex "^tempest.tests.cmd.*"
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	GENERATE_TEMPEST_PLUGIN_LIST=false PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/, pgpmode=auto" \
 https://tarballs.openstack.org/tempest/ tempest-(\d.*)\.tar\.gz

## tempest 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,19 +7,18 @@
 testtools>=2.2.0 # MIT
 paramiko>=2.0.0 # LGPLv2.1+
 netaddr>=0.7.18 # BSD
-testrepository>=0.0.18 # Apache-2.0/BSD
-oslo.concurrency>=3.20.0 # Apache-2.0
-oslo.config>=4.6.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+oslo.concurrency>=3.26.0 # Apache-2.0
+oslo.config>=5.2.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
+stestr>=1.0.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=3.31.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
 six>=1.10.0 # MIT
 fixtures>=3.0.0 # Apache-2.0/BSD
-PyYAML>=3.10 # MIT
+PyYAML>=3.12 # MIT
 python-subunit>=1.0.0 # Apache-2.0/BSD
 stevedore>=1.20.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.1 # BSD
-os-testr>=1.0.0 # Apache-2.0
 urllib3>=1.21.1 # MIT
 debtcollector>=1.2.0 # Apache-2.0
 unittest2>=1.1.0 # BSD

=== debian/changelog ===
tempest (1:19.0.0-2) unstable; urgency=medium

  * python3-tempest now runtime depends on python3-neutron-tempest-plugin.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Oct 2018 18:28:28 +0200

tempest (1:19.0.0-1) unstable; urgency=medium

  [ Michal Arbet ]
  * New upstream version
  * d/control: Edit Maintainer field
  * d/control: Add me to Uploaders field
  * d/control: Edit dependencies versions

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * Switch to stestr.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 18 Jul 2018 13:54:37 +0100

tempest (1:17.2.0-8) unstable; urgency=medium

  * Really fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Mar 2018 13:40:32 +0000

tempest (1:17.2.0-7) unstable; urgency=medium

  * Fixed Python 3 shebang.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Mar 2018 20:45:56 +0000

tempest (1:17.2.0-6) unstable; urgency=medium

  * Set PYTHON=python3 in the tempest_debian_shell_wrapper, otherwise tests
    can't be discovered.

 -- Thomas Goirand <zigo@debian.org>  Mon, 12 Mar 2018 13:20:25 +0000

tempest (1:17.2.0-5) unstable; urgency=medium

  * Make the /var/lib/tempest/tempest symlink target the py3 lib.
  * Make the tempest binary depend on python3-tempest first.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 23:34:58 +0000

tempest (1:17.2.0-4) unstable; urgency=medium

  * Python 3 now has priority over Python 2.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Mar 2018 20:45:25 +0000

tempest (1:17.2.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2018 00:21:13 +0000

tempest (1:17.2.0-2) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * Cleans properly (Closes: #890859).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Feb 2018 07:40:50 +0000

tempest (1:17.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Add using stestr, it seems tempest uses both.
  * Blacklist test_list_tests.TestTestList.test_stestr_list_no_error().

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 15:40:34 +0000

tempest (1:17.0.0-5) unstable; urgency=medium

  * Add e2fsprogs, as it's used at least in heat's integration_tests.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jan 2018 11:45:24 +0100

tempest (1:17.0.0-4) unstable; urgency=medium

  * Add heat_integrationtests.common.config to .conf namespace.
  * Add python-heat as build-depends (because of config namespace).

 -- Thomas Goirand <zigo@debian.org>  Mon, 04 Dec 2017 08:09:07 +0000

tempest (1:17.0.0-3) unstable; urgency=medium

  * Add missing runtime depends: python{3,}-{testscenarios,gabbi}.

 -- Thomas Goirand <zigo@debian.org>  Sat, 25 Nov 2017 01:46:54 +0100

tempest (1:17.0.0-2) unstable; urgency=medium

  * Add Breaks:+Replaces: tempest-lib (Closes: #879907).
  * Uploading to unstable:
    - Fix FTBFS with Python 3.6 (Closes: #867907).
  * Uploading to unstable.
  * Added python-oslo.i18n as build-depends, needed for the generation fo the
    config file.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Oct 2017 10:48:33 +0000

tempest (1:17.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Correcting permissions in debian packaging files.
  * Updating standards version to 4.0.1.
  * Prefixing all debhelper files.
  * Updating standards version to 4.1.0.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless do-not-use-git-when-building-doc.patch.
  * Removed installation of Heat's .yaml files (removed upstream).
  * Define http{s,}_proxy to avoid network access when building doc.
  * Remove setting-up run-tempest-stress & tempest-cleanup alternatives.

 -- Thomas Goirand <zigo@debian.org>  Sun, 24 Sep 2017 18:29:24 +0200

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
Build-Depends-Indep:
 git,
 python-cliff (>= 2.8.0),
 python-coverage,
 python-debtcollector (>= 1.2.0),
 python-fixtures,
 python-hacking,
 python-jsonschema (>= 2.6.0),
 python-mock,
 python-mysqldb,
 python-netaddr,
 python-openstackdocstheme (>= 1.17.0),
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.i18n,
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko (>= 2.0.0),
 python-pep8,
 python-prettytable,
 python-psycopg2,
 python-six,
 python-stestr,
 python-stevedore (>= 1.20.0),
 python-swiftclient,
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-urllib3 (>= 1.21.1),
 python-yaml,
 python3-cliff (>= 2.8.0),
 python3-coverage,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-jsonschema (>= 2.6.0),
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko (>= 2.0.0),
 python3-prettytable,
 python3-psycopg2,
 python3-six,
 python3-stestr,
 python3-stevedore (>= 1.20.0),
 python3-swiftclient,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-urllib3 (>= 1.21.1),
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/tempest
Vcs-Git: https://salsa.debian.org/openstack-team/libs/tempest.git
Homepage: https://github.com/openstack/tempest

Package: python-tempest
Architecture: all
Depends:
 python-cliff (>= 2.8.0),
 python-ddt,
 python-debtcollector (>= 1.2.0),
 python-fixtures (>= 3.0.0),
 python-gabbi,
 python-jsonschema (>= 2.6.0),
 python-netaddr,
 python-os-testr (>= 1.0.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paramiko,
 python-pbr (>= 2.0.0),
 python-prettytable,
 python-six,
 python-stevedore (>= 1.20.0),
 python-subunit,
 python-swiftclient,
 python-testscenarios,
 python-testtools (>= 2.2.0),
 python-unittest2,
 python-urllib3 (>= 1.21.1),
 python-yaml,
 subunit,
 testrepository,
 ${misc:Depends},
 ${python:Depends},
Breaks:
 python-tempest-lib,
Replaces:
 python-tempest-lib,
Description: OpenStack Integration Test Suite - Python 2.7
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 2.7 module.

Package: python3-tempest
Architecture: all
Depends:
 python3-cliff (>= 2.8.0),
 python3-ddt,
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 3.0.0),
 python3-gabbi,
 python3-jsonschema (>= 2.6.0),
 python3-netaddr,
 python3-neutron-tempest-plugin,
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paramiko,
 python3-pbr (>= 2.0.0),
 python3-prettytable,
 python3-six,
 python3-stevedore (>= 1.20.0),
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools (>= 2.2.0),
 python3-unittest2,
 python3-urllib3 (>= 1.21.1),
 python3-yaml,
 subunit,
 testrepository,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-tempest-lib,
Replaces:
 python3-tempest-lib,
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends:
 e2fsprogs,
 python3-tempest (= ${binary:Version}) | python-tempest (= ${binary:Version}) | ,
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

=== debian/rules ===
--- 
+++ 
@@ -5,12 +5,17 @@
 LAST_CHANGE = $(shell dpkg-parsechangelog -S Date)
 BUILD_DATE  = $(shell LC_ALL=C date -u "+%B %d, %Y" -d "$(LAST_CHANGE)")
 
+export http_proxy=127.0.0.1:9
+export https_proxy=127.0.0.1:9
+export HTTP_PROXY=127.0.0.1:9
+export HTTPS_PROXY=127.0.0.1:9
+
 %:
-	dh $@ --buildsystem=pybuild --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=pybuild
-	rm -f .testrepository
+	dh_auto_clean -O--buildsystem=python_distutils
+	rm -rf .testrepository
 
 override_dh_auto_install:
 	pkgos-dh_auto_install
@@ -26,7 +31,8 @@
 		--namespace oslo.i18n \
 		--namespace oslo.log \
 		--namespace oslo.serialization \
-		--namespace oslo.utils
+		--namespace oslo.utils \
+		--namespace heat_integrationtests.common.config
 	
 	install -D -m 0664 etc/logging.conf.sample $(CURDIR)/debian/tempest/etc/tempest/logging.conf
 	install -D -m 0664 etc/accounts.yaml.sample $(CURDIR)/debian/tempest/etc/tempest/accounts.yaml
@@ -81,19 +87,27 @@
 	# Package stuff in /var/lib/tempest, since we need read/write access
 	# to run the testr stuff
 	mkdir -p $(CURDIR)/debian/tempest/var/lib/tempest
-	ln -s /usr/lib/python2.7/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
-	cp .testr.conf $(CURDIR)/debian/tempest/var/lib/tempest
+	ln -s /usr/lib/python3/dist-packages/tempest $(CURDIR)/debian/tempest/var/lib/tempest/tempest
+	cp .stestr.conf $(CURDIR)/debian/tempest/var/lib/tempest
 	install -D -m 775 debian/tempest_shell_wrapper $(CURDIR)/debian/tempest/usr/bin/tempest_debian_shell_wrapper
 
 	rm -fr $(CURDIR)/debian/tempest/usr/etc
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=$(CURDIR) stestr --test-path ./tempest/tests run --black-regex "^tempest.tests.cmd.*"
+	for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
+		rm -rf .stestr ; \
+		PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python3/dist-packages PYTHON=python$$pyvers python3-stestr --test-path ./tempest/tests run | subunit2pyunit ; \
+		python3}-stestr slowest ; \
+		rm -rf .stestr ; \
+	done
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	GENERATE_TEMPEST_PLUGIN_LIST=false PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
+	PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif
+
+override_dh_python3:
+	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/tempest/tags .*/(\d[\d\.]+)\.tar\.gz

## tempest 22.0.0

=== debian/changelog ===
tempest (1:22.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/p/disable-sphinxcontrib.rsvgconverter.patch: Disable use of
    rsvgconverter during document build until this extension is
    packaged.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 12:02:20 +0100

tempest (1:19.0.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:47:28 +0200

tempest (1:19.0.0-3) experimental; urgency=medium

  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Mar 2019 16:49:02 +0100

=== debian/control ===
Source: tempest
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Corey Bryant <corey.bryant@canonical.com>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-cliff,
 python3-coverage,
 python3-debtcollector,
 python3-fixtures,
 python3-hacking,
 python3-jsonschema,
 python3-mock,
 python3-mysqldb,
 python3-netaddr,
 python3-openstackdocstheme,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-prettytable,
 python3-psycopg2,
 python3-six,
 python3-stestr,
 python3-stevedore,
 python3-swiftclient,
 python3-testtools,
 python3-unittest2,
 python3-urllib3,
 python3-yaml,
 subunit,
 testrepository,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/tempest
Vcs-Git: https://salsa.debian.org/openstack-team/libs/tempest.git
Homepage: https://github.com/openstack/tempest

Package: python3-tempest
Architecture: all
Depends:
 python3-cliff,
 python3-ddt,
 python3-debtcollector,
 python3-fixtures,
 python3-gabbi,
 python3-jsonschema,
 python3-netaddr,
 python3-neutron-tempest-plugin,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-oslotest,
 python3-paramiko,
 python3-pbr,
 python3-prettytable,
 python3-six,
 python3-stevedore,
 python3-subunit,
 python3-swiftclient,
 python3-testscenarios,
 python3-testtools,
 python3-unittest2,
 python3-urllib3,
 python3-yaml,
 subunit,
 testrepository,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-tempest-lib,
Replaces:
 python3-tempest-lib,
Description: OpenStack Integration Test Suite - Python 3.x
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package provides the Python 3.x module.

Package: tempest
Architecture: all
Depends:
 e2fsprogs,
 python3-tempest (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Integration Test Suite
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.

## tempest 23.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 testtools>=2.2.0 # MIT
 paramiko>=2.0.0 # LGPLv2.1+
 netaddr>=0.7.18 # BSD

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
tempest (1:23.0.0-0ubuntu2) focal; urgency=medium

  * d/control: Drop os-testr from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2020 09:59:08 +0100

tempest (1:23.0.0-0ubuntu1) focal; urgency=medium

  * d/gbp.conf: Align building configurations.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/debian/patches/disable-sphinxcontrib.rsvgconverter.patch: Rebased +
    fixed typo.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 03 Feb 2020 13:26:48 +0100

=== debian/control ===
--- 
+++ 
@@ -12,39 +12,38 @@
  dh-python,
  openstack-pkg-tools,
  python3-all,
- python3-pbr,
+ python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx,
+ python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
  git,
- python3-cliff,
- python3-coverage,
- python3-debtcollector,
- python3-fixtures,
- python3-hacking,
- python3-jsonschema,
- python3-mock,
+ python3-cliff (>= 2.8.0),
+ python3-coverage (>= 4.0),
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
+ python3-hacking (>= 1.1.0),
+ python3-jsonschema (>= 2.6.0),
+ python3-mock (>= 2.0.0),
  python3-mysqldb,
- python3-netaddr,
- python3-openstackdocstheme,
- python3-os-testr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslo.utils,
- python3-oslotest,
- python3-paramiko,
- python3-prettytable,
+ python3-netaddr (>= 0.7.18),
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
+ python3-oslotest (>= 1:3.2.0),
+ python3-paramiko (>= 2.0.0),
+ python3-prettytable (>= 0.7.1),
  python3-psycopg2,
- python3-six,
- python3-stestr,
- python3-stevedore,
+ python3-six (>= 1.10.0),
+ python3-stestr (>= 1.0.0),
+ python3-stevedore (>= 1:1.20.0),
  python3-swiftclient,
- python3-testtools,
- python3-unittest2,
- python3-urllib3,
- python3-yaml,
+ python3-testtools (>= 2.2.0),
+ python3-unittest2 (>= 1.1.0),
+ python3-urllib3 (>= 1.21.1),
+ python3-yaml (>= 3.12),
  subunit,
  testrepository,
 Standards-Version: 4.3.0
@@ -55,33 +54,32 @@
 Package: python3-tempest
 Architecture: all
 Depends:
- python3-cliff,
+ python3-cliff (>= 2.8.0),
  python3-ddt,
- python3-debtcollector,
- python3-fixtures,
+ python3-debtcollector (>= 1.2.0),
+ python3-fixtures (>= 3.0.0),
  python3-gabbi,
- python3-jsonschema,
- python3-netaddr,
+ python3-jsonschema (>= 2.6.0),
+ python3-netaddr (>= 0.7.18),
  python3-neutron-tempest-plugin,
- python3-os-testr,
- python3-oslo.concurrency,
- python3-oslo.config,
- python3-oslo.log,
- python3-oslo.serialization,
- python3-oslo.utils,
+ python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.log (>= 3.36.0),
+ python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.utils (>= 3.33.0),
  python3-oslotest,
- python3-paramiko,
- python3-pbr,
- python3-prettytable,
- python3-six,
- python3-stevedore,
- python3-subunit,
+ python3-paramiko (>= 2.0.0),
+ python3-pbr (>= 2.0.0),
+ python3-prettytable (>= 0.7.1),
+ python3-six (>= 1.10.0),
+ python3-stevedore (>= 1:1.20.0),
+ python3-subunit (>= 1.0.0),
  python3-swiftclient,
  python3-testscenarios,
- python3-testtools,
- python3-unittest2,
- python3-urllib3,
- python3-yaml,
+ python3-testtools (>= 2.2.0),
+ python3-unittest2 (>= 1.1.0),
+ python3-urllib3 (>= 1.21.1),
+ python3-yaml (>= 3.12),
  subunit,
  testrepository,
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -11,14 +11,16 @@
 export HTTPS_PROXY=127.0.0.1:9
 
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=python_distutils
 	rm -rf .testrepository
 
+override_dh_auto_build:
+	echo "Do nothing..."
+
 override_dh_auto_install:
-	pkgos-dh_auto_install
+	pkgos-dh_auto_install --no-py2
 
 	# Cleanups
 	rm -rf $(CURDIR)/debian/python*/usr/etc
@@ -95,18 +97,18 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	for pyvers in $(PYTHONS) $(PYTHON3S) ; do \
+	for pyvers in $(PYTHON3S) ; do \
 		rm -rf .stestr ; \
-		PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python3/dist-packages PYTHON=python$$pyvers python3-stestr --test-path ./tempest/tests run | subunit2pyunit ; \
-		python3}-stestr slowest ; \
+		PYTHONPATH=$(CURDIR)/debian/python-tempest/usr/lib/python3/dist-packages PYTHON=python$$pyvers stestr --test-path ./tempest/tests run | subunit2pyunit ; \
+		stestr slowest ; \
 		rm -rf .stestr ; \
 	done
 endif
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
-	PYTHONPATH=. sphinx-build -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	PYTHONPATH=. python3 -m sphinx -D html_last_updated_fmt="$(BUILD_DATE)" -b html doc/source $(CURDIR)/debian/tempest/usr/share/doc/tempest/html
+	dh_sphinxdoc
 endif
 
 override_dh_python3:
